#define LED 6

int redValue = 255 ;

void setup()
{
  Serial.begin(9600) ;
  pinMode(LED, OUTPUT);
}

void loop()
{
  if (Serial.available())
  {
    String message = Serial.readString() ;
    parse(message) ;
  }
}

void parse(String msg)
{
  char ordre = msg[0];
  msg.replace(String(ordre), "") ;
  msg.replace(":", "") ;
  int valeur = 0 ;
  if (msg.length() > 0)
    valeur = msg.toInt() ;
  switch (ordre)
  {
    case 'G' :
      go() ;
      break ;
    case 'S' :
      stop() ;
      break ;
    case 'R' :
      redValue = valeur ;
      go() ;
      break ;
  }
}

void go()
{
  analogWrite(LED, redValue) ;
}

void stop()
{
  digitalWrite(LED, LOW);
}
