#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import matplotlib.pyplot as plt

fichier = open('data.txt')
lignes = fichier.readlines()
fichier.close()

Temps=[] # temps en s
A0=[]    # analogRead sur port A0

for ligne in lignes :
    ls = ligne.split(':') # on découpe la ligne
    if len(ls) >= 5 :
        Temps.append(float(ls[2])/1000) ; 
        A0.append(int(ls[4]))

plt.plot(Temps, A0)
plt.xlabel('Temps (s)')
plt.ylabel('A0')
plt.show()